## ethflop 0~20191003

=== Makefile ===
#
# ethflopd makefile for Linux
# http://ethflop.sourceforge.net
#
# Copyright (C) 2019 Mateusz Viste
#
# make        - builds ethflopd (Linux daemon)
# make tsr    - builds ethflop.com (DOS TSR, requires NASM)
# make test   - builds the test app (requires tcc 2.01)
#

# for debug
#CC = clang
#CFLAGS = -O2 -Wall -std=gnu89 -pedantic -Wextra -Wformat-security -D_FORTIFY_SOURCE=1 -Weverything -Wno-padded

# production
CC = gcc
CFLAGS = -O2 -std=gnu89

all: ethflopd

ethflopd: ethflopd.c

tsr:
	nasm -f bin -l ethflop.lst -o ethflop.com ethflop.asm

test: test.c
	tcc -f- -ms -w -N test.c

pkg: tsr
	rm -f ethflop-*.zip
	zip -9 -K ethflop-`date +%Y%m%d`.zip ethflop.com ethflop.asm ethflop.txt Makefile ethflopd.c

clean:
	rm -f ethflopd ethflop.com *.o *.zip *.lst

=== debian/changelog ===
ethflop (0~20191003-2) unstable; urgency=medium

  * Limit the package to Linux architectures, it’s Linux-specific.

 -- Stephen Kitt <skitt@debian.org>  Tue, 19 Jan 2021 13:11:26 +0100

ethflop (0~20191003-1) unstable; urgency=medium

  * Initial release. Closes: #978725.

 -- Stephen Kitt <skitt@debian.org>  Wed, 30 Dec 2020 23:01:37 +0100

=== debian/control ===
Source: ethflop
Section: admin
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13), nasm
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://ethflop.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/ethflop
Vcs-Git: https://salsa.debian.org/debian/ethflop.git

Package: ethflop
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ethernet DOS floppy emulator
 ethflop is a network-backed floppy emulator for DOS, mapping a DOS
 floppy drive to a remote disk image. This package contains the server
 and the DOS TSR.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)" CC="$(CC)"
	dh_auto_build -- tsr

override_dh_auto_test:

=== debian/watch ===
version=4

opts="uversionmangle=s/^/0~/" \
https://sf.net/ethflop/ ethflop-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## ethflop 0~20240916

=== debian/changelog ===
ethflop (0~20240916-1) unstable; urgency=medium

  * New upstream release, containing only the daemon.
  * Update debian/watch to account for the upstream split between the
    daemon and the TSR releases.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 08 Mar 2025 17:20:49 +0100

ethflop (0~20191003-3) unstable; urgency=medium

  * Enable cross-building:
    - build-depend on the native nasm package;
    - don’t override CC so that dh_auto_build can specify the
      cross-compiler.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 16 Apr 2022 11:20:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Build-Depends: debhelper-compat (= 13), nasm
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: http://ethflop.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/debian/ethflop
@@ -15,4 +15,4 @@
 Description: Ethernet DOS floppy emulator
  ethflop is a network-backed floppy emulator for DOS, mapping a DOS
  floppy drive to a remote disk image. This package contains the server
- and the DOS TSR.
+ only.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- CFLAGS="$(CFLAGS)" CC="$(CC)"
-	dh_auto_build -- tsr
+	$(MAKE) -f Makefile.linux CC="$(CC)" CFLAGS="$(CPPFLAGS) $(CFLAGS) $(LDFLAGS)"
 
 override_dh_auto_test:

=== debian/watch ===
version=4

opts="uversionmangle=s/^/0~/" \
https://sf.net/ethflop/ ethflopd-@ANY_VERSION@-src@ARCHIVE_EXT@ debian uupdate
